Bug 76755

Summary: [GTK][WK2] Make the LoadTracking and WebView test fixtures more flexible
Product: WebKit Reporter: Martin Robinson <mrobinson>
Component: WebKitGTKAssignee: Martin Robinson <mrobinson>
Status: RESOLVED FIXED    
Severity: Normal CC: abecsi, cgarcia, gns, webkit.review.bot, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 76343    
Attachments:
Description Flags
Patch none

Description Martin Robinson 2012-01-20 16:41:46 PST
The load tracking and a WebView fixtures are a little bit hard to use because they have internal assertions. This bugs tracks make them resilient to different types of usage.
Comment 1 Martin Robinson 2012-01-20 16:49:43 PST
Created attachment 123411 [details]
Patch
Comment 2 WebKit Review Bot 2012-01-20 16:53:23 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Martin Robinson 2012-01-21 09:18:30 PST
I think this dependency was added accidentally. Andre, I hope you don't mind if I remove it.
Comment 4 Carlos Garcia Campos 2012-01-23 00:10:15 PST
Comment on attachment 123411 [details]
Patch

Perfect!
Comment 5 Alejandro G. Castro 2012-01-23 10:14:58 PST
Comment on attachment 123411 [details]
Patch

LGTM
Comment 6 WebKit Review Bot 2012-01-23 17:24:54 PST
Comment on attachment 123411 [details]
Patch

Rejecting attachment 123411 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

Alejandro G found in /mnt/git/webkit-commit-queue/Source/WebKit2/ChangeLog does not appear to be a valid reviewer according to committers.py.
ERROR: /mnt/git/webkit-commit-queue/Source/WebKit2/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://queues.webkit.org/results/11336130
Comment 7 Martin Robinson 2012-01-23 20:40:38 PST
Comment on attachment 123411 [details]
Patch

Clearing flags on attachment: 123411

Committed r105688: <http://trac.webkit.org/changeset/105688>
Comment 8 Martin Robinson 2012-01-23 20:40:42 PST
All reviewed patches have been landed.  Closing bug.